function this = importer(filename)
%IMPORTER  Constructs an arxml.importer object.
%   ARXML.IMPORTER(FILENAME) constructs an object for importing an 
%   Atomic-Software-Component described in the XML file FILENAME. 
%
%   Note:
%      Only the Atomic-Software-Components described in this XML file 
%      can be imported. 
%
%   See also arxml.importer.getFile arxml.importer.setFile 
%      arxml.importer.getDependencies arxml.importer.setDependencies
%      arxml.importer.getComponentNames arxml.importer.createComponentAsModel
%      arxml.importer.createComponentAsSubsystem

%   Copyright 2007-2008 The MathWorks, Inc.

if nargin < 1
    DAStudio.error('RTW:autosar:badImporterArgument');
end

autosar.spkg.loadresources;

%--- Instantiate class
this = arxml.importer;

%--- Initialize property values
p_importer(this, filename);


